Point from intersection event python


#1

Hi all,

how can i convert the intersection event to a point object ?

Rhino.Geometry.Intersect.Intersection.CurveSelf(Curve,0.001)

or better how can i use the result ?

Rhino.Geometry.Intersect.IntersectionEvent

Thanks for Tips


(Keyu Gan) #2

Rhino.Geometry.Intersect.IntersectionEvent.PointA

You might also want to check if the curve is overlapped with itself


#3

@flokart - the online RhinoCommon doc has a lot of info:

https://developer.rhino3d.com/api/RhinoCommon/html/T_Rhino_Geometry_Intersect_IntersectionEvent.htm


#4

Keyu Gan

Thanks for the small example.
Tried it and the Intersectionpoint poped out.

events = Rhino.Geometry.Intersect.Intersection.CurveSelf(Curve,0.001)
if len(events) > 0 :
    a = events[0].PointA

Helvetosaur

Yes RhinoCommon gives me all options for IntersectionEvents but i didnt know how to call the properties because no small example is given.
Now i know it.

Thanks both of you